Synology-SA-21:22 DSM

Publish Time: 2021-08-17 10:25:46 UTC+8

Last Updated: 2022-05-18 09:34:35 UTC+8

Severity
Important
Status
Ongoing

Abstract

Multiple vulnerabilities allow remote authenticated users to execute arbitrary commands, or remote attackers to write arbitrary files via a susceptible version of DiskStation Manager (DSM).

Affected Products

Product Severity Fixed Release Availability
DSM 7.0 Moderate Upgrade to 7.0.1-42214 or above.
DSM 6.2 Important Upgrade to 6.2.4-25556-2 or above.
DSMUC 3.0 Moderate Ongoing
VS Firmware 2.3 Moderate Ongoing

Mitigation

None

Detail

  • CVE-2022-22688
    • Severity: Important
    • CVSS3 Base Score: 8.8
    • CVSS3 Vector: CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
    • Improper neutralization of special elements used in a command ('Command Injection') vulnerability in File service functionality in Synology DiskStation Manager (DSM) before 6.2.4-25556-2 allows remote authenticated users to execute arbitrary commands via unspecified vectors.

Acknowledgement

  • ddaa of TrapaSecurity

  • Andrey Lovyannikov

Revision

Revision Date Description
1 2021-08-17 Initial public release.
2 2021-08-31 Update for DSM 7.0 is now available in Affected Products.
3 2022-05-18 Disclosed vulnerability details.